VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
IViewFactory Class Referenceabstract

`#include <iviewfactory.h>`

Inheritance diagram for IViewFactory:

## Public Member Functions
virtual | ~IViewFactory () noexcept=default
virtual CView * | createView (const UIAttributes &attributes, const IUIDescription *description) const =0
virtual bool | applyAttributeValues (CView *view, const UIAttributes &attributes, const IUIDescription *desc) const =0
virtual bool | applyCustomViewAttributeValues (CView *customView, IdStringPtr baseViewName, const UIAttributes &attributes, const IUIDescription *desc) const =0

## Constructor & Destructor Documentation

## ◆ ~IViewFactory()

virtual ~IViewFactory | ( |  | ) |
| virtual default noexcept

## Member Function Documentation

## ◆ applyAttributeValues()

virtual bool applyAttributeValues | ( | CView * | view,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | desc ) const
| pure virtual

Implemented in UIViewFactory.

## ◆ applyCustomViewAttributeValues()

virtual bool applyCustomViewAttributeValues | ( | CView * | customView,
|  | IdStringPtr | baseViewName,
|  | const UIAttributes & | attributes,
|  | const IUIDescription * | desc ) const
| pure virtual

Implemented in UIViewFactory.

## ◆ createView()

virtual CView * createView | ( | const UIAttributes & | attributes,
|  | const IUIDescription * | description ) const
| pure virtual

Implemented in UIViewFactory.

The documentation for this class was generated from the following file:

- iviewfactory.h